Bug 505446 - Anaconda traceback trying to re-purpose ex-member of unsupported RAID
Anaconda traceback trying to re-purpose ex-member of unsupported RAID
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
:
: 518891 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 18:25 EDT by Alan Schmidt
Modified: 2009-09-02 08:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 08:06:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Traceback (16.54 KB, text/plain)
2009-08-06 18:41 EDT, Chris
no flags Details

  None (edit)
Description Alan Schmidt 2009-06-11 18:25:47 EDT
Description of problem:
I wanted to re-use a drive which had once been a member of a RAID which made use of a proprietary driver. I installed the disk in the computer, and ran the Fedora installer. Anaconda bombed out with a Python traceback every time after choosing Keyboard Type, complaining of an error in getRaidSets (I do not have the actual traceback--sorry).

I was able to work around the error by deleting the RAID metadata using dmraid, but Anaconda should probably be more forgiving and offer to do this itself.

Version-Release number of selected component (if applicable):
anaconda-11.5.0.59

How reproducible:
Always

Steps to Reproduce:
1. Insert single drive which was once a member of proprietary RocketRAID into computer
2. Run Fedora 11 Installer
3. After choosing keyboard layout, traceback appears. Alas, no place to save traceback since it wouldn't use the disk, and I'm not clever enough to figure out how else to save it.
  
However, upon clicking the "Exit Installer" button, I could copy down the console error message, which seemed informative:

ERROR - RAID Type 8 not supported
ERROR adding /dev/sda to RAID set hpt45x-deaaabiga
ERROR No raid set found.

Expected results:
A message saying something like -- Hey, this drive is a member of a RAID. Continuing will erase this disk, and probably destroy the RAID it's a member of. Are you sure you want to continue? Yes/No

Additional info:
In order to get past the traceback, one can boot into Rescue mode and type:

dmraid -r -v -E /dev/sda

...to delete the RAID metadata, at which point Anaconda is delighted to use the disk.
Comment 1 Chris 2009-08-06 18:41:25 EDT
Created attachment 356594 [details]
Traceback

Traceback when trying to install F11 to a hard drive that has been (software) raid5 member
Comment 2 Chris 2009-08-06 18:42:37 EDT
Same problem here. 'dmraid -r -v -E /dev/sda' did the trick!
Comment 3 Joel Andres Granados 2009-08-07 06:25:16 EDT
Can you pls test with rawhide.
Comment 4 Andy Lindeberg 2009-08-24 10:07:37 EDT
*** Bug 518891 has been marked as a duplicate of this bug. ***
Comment 5 Joel Andres Granados 2009-08-26 05:27:57 EDT
ping:

does rawhide present the same behavior?
Comment 6 Alan Schmidt 2009-08-28 10:50:38 EDT
I regret to inform you I consumed my ex-proprietary-RAID drives using the workaround in the description.

We could close the bug as worksforme, but that seems a little premature in the cosmic scheme of things.

Note You need to log in before you can comment on or make changes to this bug.